<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta charset="UTF-8">
    <!-- <base href="https://system-exe.dinhai.gitlab.io/proask-document/"> -->
    <title>ProAsk Document</title>
    <!-- <link rel="stylesheet" href="//cdn.jsdelivr.net/npm/docsify@4/themes/dark.css" /> -->
    <link rel="stylesheet" href="//cdn.jsdelivr.net/npm/docsify/themes/vue.css">

    <link rel="stylesheet" href="//cdn.jsdelivr.net/npm/mermaid/dist/mermaid.min.css">
    <style>
        .markdown-section {
            margin: 0 auto;
            max-width: 95%;
            padding: 30px 15px 40px 15px;
            position: relative;
        }
    </style>
</head>

<body>
    <div id="app"></div>
    <script src="//cdn.jsdelivr.net/npm/docsify@4"></script>
    <script src="//cdn.jsdelivr.net/npm/docsify-copy-code/dist/docsify-copy-code.min.js"></script>
    <script src="//cdn.jsdelivr.net/npm/mermaid/dist/mermaid.min.js"></script>
    <script>
        var num = 0;
        mermaid.initialize({ startOnLoad: false });

        window.$docsify = {
            name: 'ProAsk Document',
            basePath: window.location.hostname === "system-exe.dinhai.gitlab.io" ? 'https://system-exe.dinhai.gitlab.io/proask-document/' : '',
            loadSidebar: true,
            subMaxLevel: 2,
            autoHeader: false,
            auto2top: true,
            executeScript: true,
            // hideSidebar: true,
            sidebarDisplayLevel: 2,
            search: {
                noData: {
                    '/vi/': 'Không tìm thấy',
                    '/': 'No Results'
                },
                pathNamespaces: ['vi'],
            },
            plugins: [
                function (hook, vm) {
                    hook.beforeEach(function (html) {
                        return (
                            html +
                            ' \n<hr>' +
                            '<a href="/" target="_blank" style="color: inherit; font-weight: normal; text-decoration: none;">Powered by alvin0 ♥</a>'
                        );
                    });
                }
            ],
            markdown: {
                renderer: {
                    code: function (code, lang) {
                        if (lang === "mermaid") {
                            return (
                                '<div class="mermaid">' + mermaid.render('mermaid-svg-' + num++, code) + "</div>"
                            );
                        }
                        return this.origin.code.apply(this, arguments);
                    }
                }
            }
        }
    </script>
    <script src="//cdn.jsdelivr.net/npm/docsify/lib/plugins/search.min.js"></script>
</body>

</html>